interface NuxtSEOModule {
    slug: 'nuxt-seo' | 'site-config' | 'robots' | 'sitemap' | 'og-image' | 'link-checker' | 'seo-utils' | 'schema-org';
    label: string;
    icon: string;
    description: string;
    repo: string;
    npm: string;
    playgrounds: Record<string, string>;
}
declare const NuxtSEO: NuxtSEOModule;
declare const SiteConfigModule: NuxtSEOModule;
declare const RobotsModule: NuxtSEOModule;
declare const SitemapModule: NuxtSEOModule;
declare const OgImageModule: NuxtSEOModule;
declare const LinkCheckerModule: NuxtSEOModule;
declare const SeoUtilsModule: NuxtSEOModule;
declare const SchemaOrgModule: NuxtSEOModule;
declare const modules: NuxtSEOModule[];
declare const explicitModules: NuxtSEOModule[];

export { LinkCheckerModule, NuxtSEO, OgImageModule, RobotsModule, SchemaOrgModule, SeoUtilsModule, SiteConfigModule, SitemapModule, explicitModules, modules };
export type { NuxtSEOModule };
