import { defineNuxtModule, hasNuxtModule, installModule } from '@nuxt/kit';
import { modules } from './const.mjs';

const module = defineNuxtModule({
  meta: {
    name: "nuxtseo",
    compatibility: {
      nuxt: ">=3.16.0",
      bridge: false
    }
  },
  defaults: {
    enabled: true
  },
  async setup(config) {
    if (!config.enabled) {
      return;
    }
    for (const module of modules) {
      if (module.npm !== "@nuxtjs/seo") {
        if (!hasNuxtModule(module.npm)) {
          await installModule(module.npm, {});
        }
      }
    }
  }
});

export { module as default };
